Multivariate Pattern Analysis in Python

# mvpa2.support.nibabel.afni_niml.string2rawniml

`mvpa2.support.nibabel.afni_niml.``string2rawniml`(s, i=None)

  Parses a NIML string to a raw NIML tree-like structure

  Parameters:

  s: bytearray

  > string to be converted

  i: int

  > Starting position in the string. By default None is used, which means that the entire string is converted.

  Returns:

  r: the NIML result.

  > If input parameter i is None then a dictionary with NIML elements, or a list containing such elements, is returned. If i is an integer, then a tuple j, d is returned with d the new starting position and a dictionary or list with the elements parsed so far.